claw_gettext.hpp File Reference

Macros to call gettext on the libclaw textdomain. More...

`#include <libintl.h>`

Go to the source code of this file.

## Macros

#define | claw_gettext(s)
| Call gettext on the default text domain used by Claw.
#define | claw_ngettext(s, p, n)
| Call ngettext on the default text domain used by Claw.

## Detailed Description

Macros to call gettext on the libclaw textdomain.

Author
  Julien Jorge

Definition in file claw_gettext.hpp.

## Macro Definition Documentation

## claw_gettext

#define claw_gettext | ( |  | s | ) |

Value:
dgettext( "libclaw", (s) )

Call gettext on the default text domain used by Claw.

Parameters

  s | The string to translate.

Definition at line 39 of file claw_gettext.hpp.

Referenced by claw::application::application(), claw::arguments::arguments(), and claw::log_level::get_string().

## claw_ngettext

#define claw_ngettext | ( |  | s,
|  |  | p,
|  |  | n )

Value:
dngettext( "libclaw", (s), (p), (n) )

Call ngettext on the default text domain used by Claw.

Parameters

  s | The string to translate by default.
  p | The plural version of s.
  n | The number thar triggers the choice of s or p.

Definition at line 47 of file claw_gettext.hpp.